This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 185356 - [regression wrt FC4] gfortran ICE on usage of advance_
[regression wrt FC4] gfortran ICE on usage of advance_
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 17:50 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 11:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample test file for testing the ICE (483 bytes, text/plain)
2006-03-13 17:50 EST, Axel Thimm
no flags Details
Sample test file for testing the ICE (minimal version) (153 bytes, text/plain)
2006-03-13 17:52 EST, Axel Thimm
no flags Details

  None (edit)
Description Axel Thimm 2006-03-13 17:50:06 EST
Description of problem:
gfortran ICEs on input with the advance keyword.

Version-Release number of selected component (if applicable):
gcc-gfortran-4.1.0-3

How reproducible:
always

Steps to Reproduce:
1.save the two attached source files (second one in next comment)
2.try compiling with gfortran -c <filename>
3.
  
Actual results:
$ gfortran gfortran_ICE.f90 
gfortran_ICE.f90:0: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
$ gfortran gfortran_ICE_short.f90 
gfortran_ICE_short.f90:0: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Expected results:
Either a successful build or an error message on what gfortran does not like.

Additional info:
The code builds under FC4 (gcc-gfortran-4.0.2-8.fc4).

This is part of scientific code (octopus) that builds under some commercial
compilers like Intel's, but the project wants to support gfortran as well. 4.0.x
had other issues and the project hoped that 4.1 could be the one, but it bailed
even earlier than 4.0.x.

Even the syntax check with -fsyntax-only bails out with an ICE.

I think this is maybe a candidate for http://gcc.gnu.org/bugzilla/, but since
the ICE explicitely points us here, I'd rather post it first into
bugzilla.redhat.com.

Thanks.
Comment 1 Axel Thimm 2006-03-13 17:50:06 EST
Created attachment 126074 [details]
Sample test file for testing the ICE
Comment 2 Axel Thimm 2006-03-13 17:52:20 EST
Created attachment 126075 [details]
Sample test file for testing the ICE (minimal version)
Comment 4 Axel Thimm 2006-03-14 10:40:06 EST
Thanks, Jakub, I rebuilt the latest rawhide package including this patch and the
sample files compile properly.
Comment 5 Jakub Jelinek 2006-04-05 11:02:00 EDT
This is fixed in rawhide (4.1.0-4 and above).

Note You need to log in before you can comment on or make changes to this bug.